
GammaLib - Action #393

Feature # 118 (Closed): Check for Python wrappers in configure.ac script

Test for presence of Python wrappers in configure.ac script.

07/28/2012 01:03 AM - Knödlseder Jürgen

Status: Closed Start date: 03/09/2012

Priority: Urgent Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 8.00 hours

Target version: 00-06-00   

Description

History

#1 - 08/16/2012 09:18 AM - Knödlseder Jürgen

The test can be performed using the Mandriva VM, as this VM has so far no Python.h header files installed.

#2 - 08/16/2012 09:33 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Priority changed from Normal to Urgent

The reason for the problem is that if distutils are present, no Python.h check is done. We should make an additional test for Python.h in the case that

distutils are present. We can also inspire the code from the AC_PYTHON_DEVEL macro. This macro can be removed from the m4 folder.

#3 - 08/16/2012 05:54 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

- Remaining (hours) changed from 8.0 to 0.0

Added an additional test that checks for the presence of Python.h also if distutils are present.
